Subject: Re: sit tunnel slow since added GSO/TSO support

From: Michal Schmidt <[email-masked]>
Date: Sat, 14 Dec 2013 22:25:07 +0100

On 12/13/2013 11:54 PM, Eric Dumazet wrote:
> I tried the same setup than before and got good behavior on current
> net-next kernel
>
> modprobe sit
> ip link set sit0 up
> ip -6 addr add dev sit0 2002:af6:1153::/64
> ip -6 ro add 2002:a00::/24 via fe80:: dev sit0

Eric,
in my test I do not use sit0. I create a new tunnel interface:
ip tun add sittun mode sit remote $REMOTE_IPV4 local $LOCAL_IPV4 \
   dev $IFACE

Looking at "ip tun show" I see that sit0 has the nopmtudisc option by 
default, while sittun does not.

As I wrote in my original message, using nopmtudisc when creating my 
tunnel interface works around the problem.

So I think nopmtudisc is the key difference in our setups.

Regards,
Michal